Subject: bug#58464: 28.1; browse-url-emacs doesn't work for local files on Windows

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 12 Oct 2022 16:42:49 +0200

Eli Zaretskii <[email-masked]> writes:

>> Well...  have a look at bug#bug#42431, it analyses the problem.  (Which
>> is that any usage if insert-file-contents that doesn't reference an
>> actual file on the file system will signal an error, and that's a
>> mistake, I think?)
>
> So why isn't what I proposed there TRT?  We _know_ we are visiting a
> local file, so why not convert the file:// URL to a local file name
> before doing anything with it?

For local files, yes -- but it's a more general problem, and should
(also) be fixed in general.

(But also see bug#58302 -- browse-url-emacs shouldn't be calling these
functions at all.)